<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonSynthFreqRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonSynthFreqRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing information related to measured frequency error during the chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_SYNTHESIZER_FREQ_REPORT.  
 <a href="structrl_mon_synth_freq_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a40f591a8e64b9fe38d5e9dc3ce34b72d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40f591a8e64b9fe38d5e9dc3ce34b72d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a40f591a8e64b9fe38d5e9dc3ce34b72d">statusFlags</a></td></tr>
<tr class="memdesc:a40f591a8e64b9fe38d5e9dc3ce34b72d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to various threshold <br />
 checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_SYNTH_FREQ_ERR <br />
 [15:1]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a40f591a8e64b9fe38d5e9dc3ce34b72d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57479f16f6f3f37b80e76de4eb6a989c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57479f16f6f3f37b80e76de4eb6a989c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a57479f16f6f3f37b80e76de4eb6a989c">errorCode</a></td></tr>
<tr class="memdesc:a57479f16f6f3f37b80e76de4eb6a989c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a57479f16f6f3f37b80e76de4eb6a989c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76275cefbeac5ff4bdf02b7789a9cd53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76275cefbeac5ff4bdf02b7789a9cd53"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a76275cefbeac5ff4bdf02b7789a9cd53">profIndex</a></td></tr>
<tr class="memdesc:a76275cefbeac5ff4bdf02b7789a9cd53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:a76275cefbeac5ff4bdf02b7789a9cd53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fd0145e137fb1bae3d5df18252afb62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fd0145e137fb1bae3d5df18252afb62"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a9fd0145e137fb1bae3d5df18252afb62">reserved0</a></td></tr>
<tr class="memdesc:a9fd0145e137fb1bae3d5df18252afb62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a9fd0145e137fb1bae3d5df18252afb62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae361adc5864eeca61780aea2468058e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae361adc5864eeca61780aea2468058e0"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#ae361adc5864eeca61780aea2468058e0">reserved1</a></td></tr>
<tr class="memdesc:ae361adc5864eeca61780aea2468058e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ae361adc5864eeca61780aea2468058e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e0ac9b3036accb7039be1e37f69435"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3e0ac9b3036accb7039be1e37f69435"></a>
rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#ae3e0ac9b3036accb7039be1e37f69435">maxFreqErVal</a></td></tr>
<tr class="memdesc:ae3e0ac9b3036accb7039be1e37f69435"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the maximum instantaneous frequency error measured <br />
 during the chirps for which frequency monitoring has been enabled in the <br />
 previous monitoring period. <br />
 Bits Parameter <br />
 31:0 Maximum frequency error value, signed number. 1 LSB = 1kHz. <br />
. <br /></td></tr>
<tr class="separator:ae3e0ac9b3036accb7039be1e37f69435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07618512ccac6fe91ad5700afa15d9ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07618512ccac6fe91ad5700afa15d9ca"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a07618512ccac6fe91ad5700afa15d9ca">freqFailCnt</a></td></tr>
<tr class="memdesc:a07618512ccac6fe91ad5700afa15d9ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the number of times during chirping in the previous <br />
 monitoring period in which the measured frequency error violated the allowed<br />
 threshold. Frequency error threshold violation is counted every 10ns. <br />
 Bits Parameter <br />
 31:19 RESERVED <br />
 18:0 Failure count, unsigned number. <br />
. <br /></td></tr>
<tr class="separator:a07618512ccac6fe91ad5700afa15d9ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd6df16f3da31559302c0808274d6a1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd6df16f3da31559302c0808274d6a1c"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#acd6df16f3da31559302c0808274d6a1c">reserved2</a></td></tr>
<tr class="memdesc:acd6df16f3da31559302c0808274d6a1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:acd6df16f3da31559302c0808274d6a1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f4b73ce6f0e7e3b56a0b20efff048d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f4b73ce6f0e7e3b56a0b20efff048d7"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a5f4b73ce6f0e7e3b56a0b20efff048d7">reserved3</a></td></tr>
<tr class="memdesc:a5f4b73ce6f0e7e3b56a0b20efff048d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a5f4b73ce6f0e7e3b56a0b20efff048d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c1dd53407bbc96a4236f71c1a55397f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c1dd53407bbc96a4236f71c1a55397f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_synth_freq_rep__t.html#a6c1dd53407bbc96a4236f71c1a55397f">timeStamp</a></td></tr>
<tr class="memdesc:a6c1dd53407bbc96a4236f71c1a55397f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br />
. <br /></td></tr>
<tr class="separator:a6c1dd53407bbc96a4236f71c1a55397f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing information related to measured frequency error during the chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_SYNTHESIZER_FREQ_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
